Commit ea757126 authored by jcole@tetra.spaceapes.com's avatar jcole@tetra.spaceapes.com
Browse files

Merge work.mysql.com:/home/bk/mysql

into tetra.spaceapes.com:/usr/home/jcole/bk/mysql
parents 552561e2 9adb3ebe
Loading
Loading
Loading
Loading
+27 −12
Original line number Diff line number Diff line
cflags="$c_warnings $extra_flags"
cxxflags="$cxx_warnings $base_cxxflags $extra_flags"
configure="./configure $base_configs $extra_configs"
for arg in "$@"; do
  configure="$configure "`echo "$arg" | sed -e 's,\([^a-zA-Z0-9_.-]\),\\\\\1,g'`
for arg
do
  # Escape special characters so they don't confuse eval
  configure="$configure "`echo "$arg" | \
  		sed -e 's,\([^a-zA-Z0-9_.=-]\),\\\\\1,g'`
done

commands="\
$make -k clean || true 
/bin/rm -f */.deps/*.P config.cache

eval "CFLAGS='$cflags' CXX=gcc CXXFLAGS='$cxxflags' $configure"
aclocal; autoheader; aclocal; automake; autoconf

if [ "x$do_make" = "xno" ] ; then
 exit 0
fi
CFLAGS=\"$cflags\" CXX=gcc CXXFLAGS=\"$cxxflags\" $configure

$make $AM_MAKEFLAGS"

if [ "x$strip" = "xyes" ]
then
  commands="$commands

$make $AM_MAKEFLAGS
if [ "x$strip" = "xyes" ]; then
  mkdir -p tmp
mkdir tmp
nm --numeric-sort sql/mysqld  > tmp/mysqld.sym
objdump -d sql/mysqld > tmp/mysqld.S
  strip sql/mysqld
strip sql/mysqld"
fi  

if test -z "$nonono"
then
  eval "set -x; $commands"
else
  echo "$commands"
fi
+23 −11
Original line number Diff line number Diff line
if ! test -f sql/mysqld.cc; then
if ! test -f sql/mysqld.cc
then
  echo "You must run this script from the MySQL top-level directory"
  exit 1
fi

set -e	# exit on error
nonono=
case "$1" in
-n | --just-print ) nonono=1; shift ;;
-h | --help ) cat <<EOF; exit 0 ;;
Usage: $0 [-h|-n] [configure-options]
  -h, --help              Show this help message.
  -n, --just-print        Don't actually run any commands; just print them.

export AM_MAKEFLAGS="-j 4"    # XXX: auto-make uses this variable - export it???
Any other options will be passed directly to configure.

Note:  this script is intended for internal use by MySQL developers.
EOF
esac

set -e

export AM_MAKEFLAGS
AM_MAKEFLAGS="-j 4"

# If you are not using codefusion add "-Wpointer-arith" to WARNINGS
# The following warning flag will give too many warnings:
@@ -16,7 +32,7 @@ debug_extra_warnings="-Wuninitialized"
c_warnings="$global_warnings -Wunused"
cxx_warnings="$global_warnings -Woverloaded-virtual -Wextern-inline -Wsign-promo -Wreorder -Wctor-dtor-privacy -Wnon-virtual-dtor"

alpha_cflags="-mcpu=ev6 -Wa,-mev6"	# not used yet
alpha_cflags="-mcpu=ev6 -Wa,-mev6"	# Not used yet
pentium_cflags="-mpentiumpro"
sparc_cflags=""

@@ -27,19 +43,15 @@ debug_cflags="-DEXTRA_DEBUG -DFORCE_INIT_OF_VARS -DSAFEMALLOC -DSAFE_MUTEX -O2"
base_cxxflags="-felide-constructors -fno-exceptions -fno-rtti"

base_configs="--prefix=/usr/local/mysql --enable-assembler --with-extra-charsets=complex --enable-thread-safe-client --with-mysqld-ldflags=-all-static"
alpha_configs=""	# not used yet
alpha_configs=""	# Not used yet
pentium_configs=""
sparc_configs=""

debug_configs="--with-debug"

if gmake --version > /dev/null 2>&1; then
if gmake --version > /dev/null 2>&1
then
  make=gmake
else
  make=make
fi

$make -k clean || true 
/bin/rm -f */.deps/*.P config.cache

aclocal; autoheader; aclocal; automake; autoconf
+1 −0
Original line number Diff line number Diff line
@@ -9,3 +9,4 @@ serg@donna.mysql.com
serg@serg.mysql.com
tim@cane.mysql.fi
tim@work.mysql.com
tim@threads.polyesthetic.msg
+59 −15
Original line number Diff line number Diff line
@@ -9952,7 +9952,7 @@ for this is that negative numbers caused problems when wrapping from -1 to 0.
@code{AUTO_INCREMENT} is now for MyISAM tables handled at a lower level and
is much faster than before. For MyISAM tables old numbers are also not reused
anymore, even if you delete some rows from the table.
@item @code{INNER}, @code{DELAYED}, @code{RIGHT}, @code{CASE}, @code{THEN}, @code{WHEN}, @code{ELSE}, @code{END} and @code{WHEN} are now reserved words.
@item @code{CASE}, @code{DELAYED}, @code{ELSE}, @code{END}, @code{FULLTEXT}, @code{INNER}, @code{RIGHT}, @code{THEN} and @code{WHEN} are now reserved words.
@item @code{FLOAT(X)} is now a true floating-point type and not a value with
a fixed number of decimals.
@item When declaring @code{DECIMAL(length,dec)} the length argument no
@@ -15814,6 +15814,10 @@ mysql> SELECT CASE BINARY "B" when "a" then 1 when "b" then 2 END;
@end example
@end table
The type of the return value (@code{INTEGER}, @code{DOUBLE} or
@code{STRING}) is the same as the type of the first returned value (the
expression after the first @code{THEN}).
@findex mathematical functions
@findex functions, mathematical
@node Mathematical functions, String functions, Control flow functions, Functions
@@ -30619,11 +30623,11 @@ utility. @xref{Table types}.
In the following text we will talk about @code{myisamchk}, but everything
also applies to the old @code{isamchk}.
You can use the @code{myisamchk} utility to get information about your database
tables, check and repair them, or optimize them.  The following sections
describe how to invoke @code{myisamchk} (including a description of its
options), how to set up a table maintenance schedule, and how to use
@code{myisamchk} to perform its various functions.
You can use the @code{myisamchk} utility to get information about your
database tables, check and repair them, or optimize them.  The following
sections describe how to invoke @code{myisamchk} (including a
description of its options), how to set up a table maintenance schedule,
and how to use @code{myisamchk} to perform its various functions.
You can, in most cases, also use the command @code{OPTIMIZE TABLES} to
optimize and repair tables, but this is not as fast or reliable (in case
@@ -30713,9 +30717,9 @@ the file or that has died without closing the file properly.
If you @code{mysqld} is running, you must force a sync/close of all
tables with @code{FLUSH TABLES} and ensure that no one is using the
tables while you are running @code{myisamchk}.  In MySQL Version 3.23 the easiest
way to avoid this problem is to use @code{CHECK TABLE} instead of
@code{myisamchk} to check tables.
tables while you are running @code{myisamchk}.  In @strong{MySQL} Version 3.23
the easiest way to avoid this problem is to use @code{CHECK TABLE}
instead of @code{myisamchk} to check tables.
@cindex options, @code{myisamchk}
@cindex @code{myisamchk}, options
@@ -30740,9 +30744,30 @@ for myisamchk can be examined with @code{myisamchk --help}:
@item decode_bits @tab 9
@end multitable
@code{key_buffer_size} is only used when you check the table with @code{-e} or
repair it with @code{-o}.
@code{sort_buffer_size} is used when you repair the table with @code{-r}.
@code{sort_buffer_size} is used when the keys are reparied by sorting
keys, which is the normal case when you use @code{--recover}.
@code{key_buffer_size} is used when you are checking the table with
@code{--extended-check} or when the keys are repaired by inserting key
row by row in to the table (like when doing normal inserts). Repairing
through the key buffer is used in the following cases:
@itemize @bullet
@item
If you use @code{--safe-recover}.
@item
If you are using a @code{FULLTEXT} index.
@item
If the temporary files needed to sort the keys would be more than twice
as big as when creating the key file directly.  This is often the case
when you have big @code{CHAR}, @code{VARCHAR} or @code{TEXT} keys as the
sort needs to store the whole keys during sorting. If you have lots
of temporary space and you can force @code{myisamchk} to repair by sorting
you can use the @code{--sort-recover} option.
@end itemize
Reparing through the key buffer takes much less disk space than using
sorting, but is also much slower.
If you want a faster repair, set the above variables to about 1/4 of your
available memory.  You can set both variables to big values, as only one
@@ -30851,6 +30876,11 @@ space than @code{-r}. Normally one should always first repair with
If you have lots of memory, you should increase the size of
@code{key_buffer_size}!
@item -n or --sort-recover
Force @code{myisamchk} to use sorting to resolve the keys even if the
temporary files should be very big.  This will not have any effect if you have
fulltext keys in the table.
@item --character-sets-dir=...
Directory where character sets are stored.
@item --set-character-set=name
@@ -30933,8 +30963,9 @@ Space for the new index file that replaces the old one. The old
index file is truncated at start, so one usually ignore this space.
This space is needed on the same disk as the original index file!
@item
When using @code{--repair} (but not when using @code{--safe-repair}, you
will need space for a sort buffer for:
When using @code{--recover} or @code{--sort-recover}
(but not when using @code{--safe-recover}, you will need space for a
sort buffer for:
@code{(largest_key + row_pointer_length)*number_of_rows * 2}.
You can check the length of the keys and the row_pointer_length with
@code{myisamchk -dv table}.
@@ -30943,7 +30974,7 @@ This space is allocated on the temporary disk (specified by @code{TMPDIR} or
@end itemize
If you have a problem with disk space during repair, you can try to use
@code{--safe-repair} instead of @code{--repair}.
@code{--safe-recover} instead of @code{--recover}.
@cindex maintaining, tables
@cindex tables, maintenance regimen
@@ -39486,6 +39517,8 @@ javascript, 2d/3d graphics, and PHP3/MySQL. All pages are generated from
a database.
@c Added 990614; EMAIL: downey@image.dk (Rune Madsen)
@item @uref{http://www.softwarezrus.com/, Softwarezrus.com}
Ecommerce site that is selling computers.
@end itemize
@cindex consultants, list of
@@ -39782,6 +39815,10 @@ OLEDB handler for @code{MySQL}. By SWsoft.
Examples and documentation for MyOLEDB. By SWsoft.
@item @uref{http://www.mysql.com/Downloads/Win32/Myoledb.zip, Myoledb.zip}
Source for MyOLEDB. By SWsoft.
@item @uref{http://www.mysql.com/Downloads/Win32/MyOLEDB.chm, MyOLEDB.chm}
Help files for MyOLEDB.
@item @uref{http://www.mysql.com/Downloads/Win32/libmyodbc.zip, libmyodbc.zip}
Static MyODBC library used for build MyOLEDB. Based on MyODBC code.
@end itemize
@cindex C++
@@ -40950,6 +40987,13 @@ not yet 100 % confident in this code.
@appendixsubsec Changes in release 3.23.33
@itemize bullet
@item
Fixed 'no found rows' bug in @code{MyISAM} tables when a @code{BLOB} was
first part of a multi-part key.
@item
Fixed bug where @code{CASE} didn't work with @code{GROUP BY}.
@item
Added option @code{--sort-recover} to @code{myisamchk}.
@item
@code{myisamchk -S} and @code{OPTIMIZE TABLE} now works on Windows.
@item
Fixed bug when using @code{DISTINCT} on results from functions that refered to
+6 −2
Original line number Diff line number Diff line
@@ -28,7 +28,7 @@
#include <my_pthread.h>				/* because of signal()	*/
#endif

#define ADMIN_VERSION "8.14"
#define ADMIN_VERSION "8.15"
#define MAX_MYSQL_VAR 64
#define MAX_TIME_TO_WAIT 3600			/* Wait for shutdown */
#define MAX_TRUNC_LENGTH 3
@@ -404,7 +404,11 @@ static my_bool execute_commands(MYSQL *mysql,int argc, char **argv)
      }
      sprintf(buff,"create database %.*s",FN_REFLEN,argv[1]);
      if (mysql_query(mysql,buff))
      {
	my_printf_error(0,"Create failed; error: '%-.200s'",MYF(ME_BELL),
			mysql_error(mysql));
	return 1;
      }
      else
      {
	argc--; argv++;
@@ -762,7 +766,7 @@ static my_bool execute_commands(MYSQL *mysql,int argc, char **argv)
      mysql->reconnect=1;	/* Automatic reconnect is default */
      break;
    default:
      my_printf_error(0,"Unknown command: '%s'",MYF(ME_BELL),argv[0]);
      my_printf_error(0,"Unknown command: '%-.60s'",MYF(ME_BELL),argv[0]);
      return 1;
    }
  }
Loading